Skip to main content
Skip table of contents

Search for a Brand

Retrieves a list of brands you’ve registered, and supports query parameters that can narrow the list based on different attributes. A full list of query parameters are available in the OpenAPI spec for this endpoint. Paginated results are supported.

Request

GET /brand

TEXT
curl -X 'GET' \
  'https://csp-api-staging.campaignregistry.com/v2/brand?entityType=NON_PROFIT&identityStatus=VERIFIED&status=ACTIVE&state=MI&country=US&mock=false&page=1&recordsPerPage=10' \
  -H 'accept: application/json'

Response

JSON
{
  "records": [
    {
      "entityType": "NON_PROFIT",
      "cspId": "S123ABC",
      "brandId": "B123ABC",
      "status": "ACTIVE",
      "displayName": "Example Brand",
      "companyName": "Example Brand, Inc.",
      "ein": "000000XXX",
      "einIssuingCountry": "US",
      "phone": "+15555555555",
      "street": "100 Main St",
      "city": "Ann Arbor",
      "state": "MI",
      "postalCode": "48105",
      "country": "US",
      "email": "johndoe@example.com",
      "website": "http://www.examplebrand.com",
      "brandRelationship": "BASIC_ACCOUNT",
      "vertical": "EDUCATION",
      "universalEin": "US_000000XXX",
      "optionalAttributes": {
        "taxExemptStatus": "501c3"
      },
      "mock": false,
      "identityStatus": "VERIFIED",
      "createDate": "2025-06-10T19:16:02.000Z",
      "businessContactEmail": "johndoe@example.com"
    }
  ],
  "page": 1,
  "totalRecords": 1
}
JavaScript errors detected

Please note, these errors can depend on your browser setup.

If this problem persists, please contact our support.